Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatInviteLinkInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatInviteLinkInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatInviteLinkInfo extends TdApi.Object
Contains information about a chat invite link.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`accentColorId`
Identifier of the accent color for chat title and background of chat photo.
`int`
`accessibleFor`
If non-zero, the amount of time for which read access to the chat will remain available, in seconds.
`long`
`chatId`
Chat identifier of the invite link; 0 if the user has no access to the chat before joining.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`createsJoinRequest`
True, if the link only creates join request.
`String`
`description`
Chat description.
`boolean`
`isFake`
True, if many users reported this chat as a fake account.
`boolean`
`isPublic`
True, if the chat is a public supergroup or channel, i.e.
`boolean`
`isScam`
True, if many users reported this chat as a scam.
`boolean`
`isVerified`
True, if the chat is verified.
`int`
`memberCount`
Number of members in the chat.
`long[]`
`memberUserIds`
User identifiers of some chat members that may be known to the current user.
`TdApi.ChatPhotoInfo`
`photo`
Chat photo; may be null.
`String`
`title`
Title of the chat.
`TdApi.InviteLinkChatType`
`type`
Type of the chat.

## Constructor Summary

Constructors
Constructor
Description
`ChatInviteLinkInfo()`
Contains information about a chat invite link.
`ChatInviteLinkInfo(long chatId, int accessibleFor, TdApi.InviteLinkChatType type, String title, TdApi.ChatPhotoInfo photo, int accentColorId, String description, int memberCount, long[] memberUserIds, boolean createsJoinRequest, boolean isPublic, boolean isVerified, boolean isScam, boolean isFake)`
Contains information about a chat invite link.
`ChatInviteLinkInfo(DataInput input)`
Contains information about a chat invite link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the invite link; 0 if the user has no access to the chat before joining.

### accessibleFor

public int accessibleFor
If non-zero, the amount of time for which read access to the chat will remain available, in seconds.

### type

public TdApi.InviteLinkChatType type
Type of the chat.

### title

public String title
Title of the chat.

### photo

public TdApi.ChatPhotoInfo photo
Chat photo; may be null.

### accentColorId

public int accentColorId
Identifier of the accent color for chat title and background of chat photo.

### description

public String description
Chat description.

### memberCount

public int memberCount
Number of members in the chat.

### memberUserIds

public long[] memberUserIds
User identifiers of some chat members that may be known to the current user.

### createsJoinRequest

public boolean createsJoinRequest
True, if the link only creates join request.

### isPublic

public boolean isPublic
True, if the chat is a public supergroup or channel, i.e. it has a username or it is a location-based supergroup.

### isVerified

public boolean isVerified
True, if the chat is verified.

### isScam

public boolean isScam
True, if many users reported this chat as a scam.

### isFake

public boolean isFake
True, if many users reported this chat as a fake account.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatInviteLinkInfo

public ChatInviteLinkInfo()
Contains information about a chat invite link.

### ChatInviteLinkInfo

public ChatInviteLinkInfo(long chatId, int accessibleFor, TdApi.InviteLinkChatType type, String title, TdApi.ChatPhotoInfo photo, int accentColorId, String description, int memberCount, long[] memberUserIds, boolean createsJoinRequest, boolean isPublic, boolean isVerified, boolean isScam, boolean isFake)
Contains information about a chat invite link.

Parameters:
  `chatId` - Chat identifier of the invite link; 0 if the user has no access to the chat before joining.
  `accessibleFor` - If non-zero, the amount of time for which read access to the chat will remain available, in seconds.
  `type` - Type of the chat.
  `title` - Title of the chat.
  `photo` - Chat photo; may be null.
  `accentColorId` - Identifier of the accent color for chat title and background of chat photo.
  `description` - Chat description.
  `memberCount` - Number of members in the chat.
  `memberUserIds` - User identifiers of some chat members that may be known to the current user.
  `createsJoinRequest` - True, if the link only creates join request.
  `isPublic` - True, if the chat is a public supergroup or channel, i.e. it has a username or it is a location-based supergroup.
  `isVerified` - True, if the chat is verified.
  `isScam` - True, if many users reported this chat as a scam.
  `isFake` - True, if many users reported this chat as a fake account.

### ChatInviteLinkInfo

public ChatInviteLinkInfo(DataInput input) throws IOException
Contains information about a chat invite link.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`